port: 7890
allow-lan: true
mode: rule
log-level: info
unified-delay: true
global-client-fingerprint: chrome

dns:
  enable: true
  listen: :53
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver: 
    - 223.5.5.5
    - 114.114.114.114
    - 8.8.8.8
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
  fallback:
    - https://1.0.0.1/dns-query
    - tls://dns.google
  fallback-filter:
    geoip: true
    geoip-code: CN
    ipcidr:
      - 240.0.0.0/4

proxies:
  - name: 美国【LAX4837】   
    type: hysteria2
    server: 89.213.184.40                                  
    port: 23333                                   
    password: longping5lu                           
    sni:  https://anime.bang-dream.com/mygo/
    skip-cert-verify: true   

  - name: 日本【优化线路】
    type: vless
    server: 45.137.181.53
    port: 33189
    uuid: 8252265d-f528-4cd1-b15f-5c461e934f43
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: www.amd.com
    reality-opts:
      public-key: OhlDMcQVEz3gpk_s-KH15ty4VrFA4PUGijw-KoHg2Hw
      short-id: 6ba85179e30d4fc2
    client-fingerprint: chrome
    
proxy-groups:
- name: 🌍选择代理
  type: select
  proxies:
    - 美国【LAX4837】
    - 日本【优化线路】

rules:
  - GEOIP,CN,DIRECT
  - MATCH,🌍选择代理
